package com.yonge.cooleshow.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author hgw
 * Created by 2022-04-07
 */
@ApiModel(value = "课程日历实体")
public class CourseCalendarEntity implements Serializable {

    @ApiModelProperty(value = "日期-年月日")
    private String date;

    @ApiModelProperty(value = "是否是节假日  0:不是 1是")
    private Integer holiday;

    @ApiModelProperty(value = "是否跳过节假日  0:不跳过 1跳过")
    private Integer skipHoliday;

    @ApiModelProperty(value = "当日课程是否排满  0:未满 1满")
    private Integer fullCourse;

    @ApiModelProperty(value = "当日课程时间-满课或跳过节假日的无数据")
    private List<CourseTimeEntity> courseTime;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getHoliday() {
        return holiday;
    }

    public void setHoliday(Integer holiday) {
        this.holiday = holiday;
    }


    public Integer getFullCourse() {
        return fullCourse;
    }

    public void setFullCourse(Integer fullCourse) {
        this.fullCourse = fullCourse;
    }

    public List<CourseTimeEntity> getCourseTime() {
        return courseTime;
    }

    public void setCourseTime(List<CourseTimeEntity> courseTime) {
        this.courseTime = courseTime;
    }

    public Integer getSkipHoliday() {
        return skipHoliday;
    }

    public void setSkipHoliday(Integer skipHoliday) {
        this.skipHoliday = skipHoliday;
    }
}
